## Bounty 10 revised rules Draft

### Intentions
* Increase the quality of submissions and decrease the number of low quality contributions.
* Reduce the workload on the Content Curators group and the council. The number of submissions previously is clearly unmanagable for not only the curators, but also makes it close to impossible for the council to have oversight on what videos are being rewarded.
* Move a large amount of responsibility away from the curator group and onto the users submitting `public domain videos` for this bounty--the curator group is still responsible for grading submissions, but they can post the results once per week on the `community-repo` and users are responsible for checking the grading of their videos.
* Move this bounty to have a very clear deliniation between each week. Payouts/grading should happen once the week is over. Each week should have a separate thread. Each week should have one report.
* The workload and responsibilities should be clearer.

### Requirements
* Require a new thread to be created each week for this bounty. When the week is over, the bounty manager/curator group can post a notification that the week is over and direct people to a new thread. This will allow for much easier organization of entries.
* Once grading/payouts are completed, the BM can post a table with the results of the week. This should include a few details about each entry (videoID, username, forum link, grade/payout) and also a 
* Require each submission to be a unique forum post (for the purpose of easier management)--any bulk submissions can be disqualified
* Require each submission to include source information, duration and have a short template users can fill in with information about the video (source, format, category, description)
* Any incomplete submissions can be completely ignored. The Curators do not need to notify people that do not make a minimum of effort on their entries.
* This is a significant bounty for the platform, it has many positive qualities that help to understand how the platform works. As such, the curator lead should assign dedicated "workers" specifically for this bounty. At least 2 seems like a sensible amount. These workers could be entirely responsible for the bounty (grading, payments + reporting) to lessen the workload of the lead. They could also be paid a different amount from normal curators (and this could be adjusted based on the number of entries).

### Reward Structure
* It is suggested that the cap of $500 per week is kept.
* A small selection (up to 10 videos per week) of very high quality, interesting submissions should be rewarded with a higher amount (up to $20 / each) per week.
* The rewards for each regular video can be $3-5 depending on grading.
* The curators who manage this bounty can be paid a higher rate, or we could use `spending proposals` to reward them once work is done. Since this is going to very clearly be a weekly bounty, the managers can rotate if desired.

### Further Ideas
* Require each submission to have an amount of tokens (i.e. 10,000 JOY) to a burn address.
* Introduce a weekly theme (for example, this week can be `public domain movies`, next week can be `public domain cooking videos`) so that we are not just getting blanket uploads of random videos.

### Disqualifications
* Anything that does not include a source that clearly shows the video has an appropriate license should immediately be excluded from any rewards.
* Anything of low quality should be excluded. This includes extremely short videos or any video that the curator group feel has a questionable source.
* The curator team can post a CSV file on the `community-repo` once a week which mentions the status of each submission. If submissions are disqualified they do not need to individually reach out, the users submitting public domain videos for this bounty are responsible for checking the status.