# [17.8 - Clean up Community Repo - Part 1](https://blog.joystream.org/sumer-kpis/#17.8)

Draft repository organized you can see [here](https://github.com/maxlevush/Clean_UP_Community-repo)

## Root directory

- `bounties`

- `community-contributions`

- `council`

- `documentation`

- `working-groups`

### [Bounties](https://github.com/maxlevush/Clean_UP_Community-repo/tree/main/bounties)

- `bounties-overview`

   > This is where ``bounties-status.json`` should be

- `bounties-reports`

   > Place for reports divided into folders

```
The Bounty reports submitted should be formatted in the following way: 
"Network"_Bounty_#n_Report_DD.MM.YYYY-DD.MM.YYYY.md

eg. Sumer_Bounty_#10_Report_12.08.2021-24.08.2021.md 
include check period
```

### [Community-contributions](https://github.com/maxlevush/Clean_UP_Community-repo/tree/main/community-contributions)

> This folder can be used for community coded bots and projects and anything that doesn't fit elsewhere. Each submission should be in a unique folder within this directory

### [Council](https://github.com/maxlevush/Clean_UP_Community-repo/tree/main/council)

- `KPI`

   > The tasks of the KPI completed by the council should be located here

```
The KPI reports submitted should be formatted in the following way: 
"Network"_KPI_#n.n_"Name"_DD.MM.YYYY.md

eg. Sumer_KPI_#17.8_Clean_Up_Community_repo_24.08.2021.md 
```
   
- `council-reports`

   > This is where the council reports should be. 
 
```
The council reports submitted should be formatted in the following way: 
"Network"_Council_Report_#n_DD.MM.YYYY.md

eg. Sumer_Council_Report_#12_16.08.2021.md
```

- `submission-log`

   > This folder can be used for maintaining a log of submissions. If the testnet is started from fresh, a new file should be made. Each entry in the log should include the Joystream username of the submission, a link to the proposal, a link to the PR and the amount of tokens awarded to the user (if applicable)

- `tokenomics-reports`

   > This is where the tokenomics reports should be

```
The tokenomics reports submitted should be formatted in the following way: 
"Network"_Tokenomics_Report_#n_DD.MM.YYYY.md

eg. Sumer_Tokenomics_Report_#14_05.08.2021.md
```

### [Documentation](https://github.com/maxlevush/Clean_UP_Community-repo/tree/main/documentation)

> This folder can be used for documentation. Any general accepted rules are found there

### [Working-groups](https://github.com/maxlevush/Clean_UP_Community-repo/tree/main/working-groups)

> Any rules or reports related only to Working Groups should be here

- `curator_group`

```
The Curator WG Leader reports submitted should be formatted in the following way: 
"Network"_Curator_Lead_Report_#n_DD.MM.YYYY.md

eg. Sumer_Curator_Lead_Report_#13_12.08.2021.md
```

- `operations_group`

```
The Operations WG Leader reports submitted should be formatted in the following way: 
"Network"_Operations_Lead_Report_#n_DD.MM.YYYY.md

eg. Sumer_Operations_Lead_Report_#02_12.08.2021.md
```

- `storage_group`

```
The Storage WG Leader reports submitted should be formatted in the following way: 
"Network"_Storage_Lead_Report_#n_DD.MM.YYYY.md

eg. Sumer_Storage_Lead_Report_#06_27.08.2021.md
```

## Naming convention rules

### Naming convention for folders

``underscore_separated_words`` 

- all letters must be lowercase

### Naming convention for files

``Underscore_Separated_Words`` 

- all letters must be uppercase

- Date - ``DD.MM.YYYY``
