# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 118800 - 277199
* Date Range: 4/15/2021 - 4/26/2021
* Council session #: 1

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  444243228 | 473119342 | 6.5 |
| USD Pool |  17712.58 | 18712.58 | 5.65 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 3250000 |
| Spending Proposals (Executed) | 21487585 |
| Bounties paid       | 18102585 |
| Validator Role      | 6322734 |
| Storage Role        | 1011993.61 |
| Curator Role        | 2771982.50 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 17712.58 | 18712.58 | 5.65 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 500 | recurring antioch 0 | 229518 |
| 500 | recurring antioch 1 | 229522 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 8898885  | 34274470 |285.15 |
| Curator Mint Total Minted   | 0 | 454000 | 100 |
| Storage Mint Total Minted   | 0 | 0 | 0 |
| Operations Mint Total Minted | 8898885 | 34274470 | 285.15 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 38.96
* End Block Exchange Rate, USD/1M tJOY: 38.96
* Inflation, %: 0

Negative value indicates deflation

## 3.0 Council
* Council session #: 0
* Number of council members: 16
* Total number of proposals: 27
* Total number of Approved proposals: 28

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 29 |
| Total Applicant Stake       | 37908656 |
| Total Votes                 | 63 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.02

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 100 / 100 | 0 |
| Validator Total Stake      | 82735596 | 100009014 | 20.88 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 2 | 2 | 0 |
| Total Storage Stake (workers + lead) | 0 | 50000 | 100 |



### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 1 | 5 | 400 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 6 | 0.4 | 0.4 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 3 | 0.0 | 0.0 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 3 | 0.0 | 0.0 |
| 4 | [@svasilenko](https://pioneer.joystreamstats.live/#/members/svasilenko) | active | 3 | 0.0 | 0.0 |
| 5 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 3 | 0.0 | 0.0 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2058|  2120 | 3.01 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 340 | 388  |  14.12 |
| Size of content (MB     | 57195.02 | 74702.84 | 30.61 |
| Number of channels      | 31 | 44 | 41.94 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 50 | 0 |
| Number of threads    | 348 | 373 | 7.18 |
| Number of posts      | 2160 | 2314 | 7.13 |
