# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 277200 - 377999
* Date Range: 4/26/2021 - 5/3/2021
* Council session #: 2

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  473119342 | 552036214 | 16.68 |
| USD Pool |  18712.58 | 20641.58 | 10.31 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 0 |
| Spending Proposals (Executed) | 21542226 |
| Bounties paid       | 21542226 |
| Validator Role      | 3663208 |
| Storage Role        | 772792.33 |
| Curator Role        | 3379566.47 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 18712.58 | 20641.58 | 10.31 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1601 | kpi1 antioch | 328849 |
| 100 | bounty13-1 | 356824 |
| 228 |  | 371479 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 34274470  | 59704696 |74.2 |
| Curator Mint Total Minted   | 454000 | 3317000 | 630.62 |
| Storage Mint Total Minted   | 0 | 667000 | 100 |
| Operations Mint Total Minted | 34274470 | 59704696 | 74.2 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 20313583208.09
* End Block Exchange Rate, USD/1M tJOY: 38.53
* Inflation, %: 52720887426.14

Negative value indicates deflation

## 3.0 Council
* Council session #: 2
* Number of council members: 16
* Total number of proposals: 13
* Total number of Approved proposals: 12

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 24 |
| Total Applicant Stake       | 9735500 |
| Total Votes                 | 58 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 100 / 100 | 0 |
| Validator Total Stake      | 100009014 | 106764951 | 6.76 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 2 | 2 | 0 |
| Total Storage Stake (workers + lead) | 50000 | 50000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 8 | 0.7 | 0.7 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 5 | 4 | -20 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 13 | 1.1 | 1.5 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.5 | 0.5 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.5 | 0.5 |
| 5 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.5 | 0.5 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2120|  2136 | 0.75 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 388 | 421 | 8.51 |
| Size of content (MB)    | 74702.84 |  79852.53 | 6.89 |
| Number of channels      | 44 | 55 | 25 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 50 | 0 |
| Number of threads    | 373 | 383 | 2.68 |
| Number of posts      | 2314 | 2545 | 9.98 |
