# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 378000 - 478799
* Date Range: 5/3/2021 - 5/11/2021
* Council session #: 3

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  552036214 | 609268044 | 10.37 |
| USD Pool |  20208.37 | 21395.66 | 5.88 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 40491775 |
| Spending Proposals (Executed) | 36816486 |
| Bounties paid       | 36816486 |
| Validator Role      | 3313300 |
| Storage Role        | 3506069.22 |
| Curator Role        | 3519229.09 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 20208.37 | 21395.66 | 5.88 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 465 | bounty4 | 388598 |
| 1763 | kpi2 antioch | 457324 |
| 14 | kpi 2.4 | 475657 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 59704696  | 100409182 |68.18 |
| Curator Mint Total Minted   | 3317000 | 6735808 | 103.07 |
| Storage Mint Total Minted   | 667000 | 3452244 | 417.58 |
| Operations Mint Total Minted | 59704696 | 100409182 | 68.18 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 37.35
* End Block Exchange Rate, USD/1M tJOY: 35.14
* Inflation, %: 6.26

Negative value indicates deflation

## 3.0 Council
* Council session #: 3
* Number of council members: 16
* Total number of proposals: 21
* Total number of Approved proposals: 16

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 23 |
| Total Applicant Stake       | 23225311 |
| Total Votes                 | 42 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 100 / 100 | 0 |
| Validator Total Stake      | 106764951 | 130687725 | 22.41 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 2 | 7 | 250 |
| Total Storage Stake (workers + lead) | 50000 | 50000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 8 | 0.8 | 1.5 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 5 | 0.4 | 0.4 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 5 | 0.4 | 0.4 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 5 | 0.4 | 0.4 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 5 | 0.4 | 0.4 |
| 7 | [@animeshpendre](https://pioneer.joystreamstats.live/#/members/animeshpendre) | active | 5 | 0.4 | 0.4 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 4 | 4 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 14 | 1.3 | 2.8 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 1.2 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 1.2 |
| 5 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.7 | 1.2 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2136|  2163 | 1.26 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 421 |486 | 15.44 |
| Size of content (MB)    | 79852.53 | 97016.89 | 21.5 |
| Number of channels      | 55 | 58 | 5.45 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 50 | 0 |
| Number of threads    | 383 | 393 | 2.61 |
| Number of posts      | 2545 | 2671 | 4.95 |
