# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 478800 - 579599
* Date Range: 5/11/2021 - 5/18/2021
* Council session #: 4

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  609268044 | 631178954 | 3.6 |
| USD Pool |  21388.64 | 22356.76 | 4.53 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 13771843 |
| Spending Proposals (Executed) | 18485327 |
| Bounties paid       | 18485327 |
| Validator Role      | 5566011 |
| Storage Role        | 2975166.48 |
| Curator Role        | 4905635.33 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 21388.64 | 22356.76 | 4.53 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 450 | bounty 8 | 501213 |
| 500 | recurring antioch 2 | 529314 |
| 500 | recurring antioch 3 | 529335 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 100409182  | 122782509 |22.28 |
| Curator Mint Total Minted   | 6735808 | 11417565 | 69.51 |
| Storage Mint Total Minted   | 3452244 | 6525811 | 89.03 |
| Operations Mint Total Minted | 100409182 | 122782509 | 22.28 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 35.08
* End Block Exchange Rate, USD/1M tJOY: 35.54
* Inflation, %: -1.31

Negative value indicates deflation

## 3.0 Council
* Council session #: 4
* Number of council members: 16
* Total number of proposals: 15
* Total number of Approved proposals: 16

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 20 |
| Total Applicant Stake       | 13725334 |
| Total Votes                 | 46 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 100 / 100 | 0 |
| Validator Total Stake      | 130687725 | 142947674 | 9.38 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 7 | 6 | -14.29 |
| Total Storage Stake (workers + lead) | 50000 | 50000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 8 | 0.8 | 2.2 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 5 | 0.5 | 0.9 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 5 | 0.5 | 0.9 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 5 | 0.5 | 0.9 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 5 | 0.5 | 0.9 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 4 | 6 | 50 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 14 | 1.4 | 4.3 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 1.9 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 1.9 |
| 5 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.7 | 1.9 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.6 | 0.6 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.6 | 0.6 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2163|  2182 | 0.88 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 486 | 556  | 14.4 |
| Size of content (MB)    | 97016.89 | 100139.08 | 3.22 |
| Number of channels      | 58 | 63 | 8.62 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 50 | 0 |
| Number of threads    | 393 | 403 | 2.54 |
| Number of posts      | 2671 | 2822 | 5.65 |
