# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 579600 - 680399
* Date Range: 5/18/2021 - 5/25/2021
* Council session #: 5

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  631178954 | 705150301 | 11.72 |
| USD Pool |  22356.76 | 24138.22 | 7.97 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 77668494 |
| Spending Proposals (Executed) | 17294942 |
| Bounties paid       | 15144942 |
| Validator Role      | 8440062 |
| Storage Role        | 3506069.22 |
| Curator Role        | 4205642.28 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 22356.76 | 24138.22 | 7.97 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 500 | recurring antioch 4 | 579600 |
| 2045 | kpi-antioch 3 | 616977 |
| 1933 | kpi-antioch 4 | 647629 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 122782509  | 143965451 |17.25 |
| Curator Mint Total Minted   | 11417565 | 16173249 | 41.65 |
| Storage Mint Total Minted   | 6525811 | 10983531 | 68.31 |
| Operations Mint Total Minted | 122782509 | 143965451 | 17.25 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 35.81
* End Block Exchange Rate, USD/1M tJOY: 34.43
* Inflation, %: 4

Negative value indicates deflation

## 3.0 Council
* Council session #: 5
* Number of council members: 16
* Total number of proposals: 9
* Total number of Approved proposals: 8

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 20 |
| Total Applicant Stake       | 16194000 |
| Total Votes                 | 48 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 100 / 100 | 0 |
| Validator Total Stake      | 142947674 | 162428612 | 13.63 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6 | 6 | 0 |
| Total Storage Stake (workers + lead) | 50000 | 100000 | 100 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 8 | 0.8 | 3.0 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 5 | 0.5 | 1.3 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 5 | 0.5 | 1.3 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 5 | 0.5 | 1.3 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 5 | 0.5 | 1.4 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 5 | 1.9 | 1.9 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 6 | 5 | -16.67 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 14 | 1.4 | 5.7 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 2.6 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 2.6 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 1.3 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 1.3 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2182|  2214 | 1.47 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 550 |608  | 10.55 |
| Size of content (MB)    | 99995.26 | 107694.31 | 7.7 |
| Number of channels      | 62 | 64 | 3.23 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 50 | 51 | 2 |
| Number of threads    | 403 | 416 | 3.23 |
| Number of posts      | 2822 | 2936 | 4.04 |
