# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 680400 - 781199
* Date Range: 5/25/2021 - 6/1/2021
* Council session #: 6

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  705150301 | 756440054 | 7.27 |
| USD Pool |  24128.31 | 25235.12 | 4.59 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 28973600 |
| Spending Proposals (Executed) | 3572490 |
| Bounties paid       | 3572490 |
| Validator Role      | 4168763 |
| Storage Role        | 4154570.78 |
| Curator Role        | 4748332.89 |
| Operations Role     | 0 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 24128.31 | 25235.12 | 4.59 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 2075 | kpi-antioch 5 | 745809 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 143965451  | 151425941 |5.18 |
| Curator Mint Total Minted   | 16173249 | 20522135 | 26.89 |
| Storage Mint Total Minted   | 10983531 | 14673281 | 33.59 |
| Operations Mint Total Minted | 0 | 0 | 0 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 34.18
* End Block Exchange Rate, USD/1M tJOY: 33.56
* Inflation, %: 1.87

Negative value indicates deflation

## 3.0 Council
* Council session #: 6
* Number of council members: 16
* Total number of proposals: 26
* Total number of Approved proposals: 20

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 24 |
| Total Applicant Stake       | 37623100 |
| Total Votes                 | 48 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 100 / 100 | 103 / 103 | 3 |
| Validator Total Stake      | 162428612 | 179053693 | 10.24 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6 | 6 | 0 |
| Total Storage Stake (workers + lead) | 100000 | 100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 12 | 0.9 | 3.9 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 6 | 0.6 | 1.9 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 6 | 0.6 | 1.9 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 6 | 0.6 | 1.9 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 6 | 0.6 | 1.9 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 6 | 0.6 | 2.4 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 5 | 5 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 18 | 1.5 | 7.2 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 3.4 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 3.4 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 2.0 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 2.0 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 0 | 0 |
| Total Operations Stake (workers + lead) | 0 | 0 | 0 |



## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2214|  2240 | 1.17 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 0 | 256 | 100 |
| Size of content (MB)    | 0 | 26044.91 | 100 |
| Number of channels      | 0 | 93 | 100 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 51 | 53 | 3.92 |
| Number of threads    | 416 | 429 | 3.13 |
| Number of posts      | 2936 | 3065 | 4.39 |
