# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1083600 - 1184399
* Date Range: 6/22/2021 - 6/29/2021
* Council session #: 10

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  866445422 | 872545399 | 0.7 |
| USD Pool |  30659.01 | 29661.78 | -3.25 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 90409400 |
| Spending Proposals (Executed) | 30456138 |
| Bounties paid       | 30456138 |
| Validator Role      | 10818876 |
| Storage Role        | 5564244.8 |
| Curator Role        | 7495525.64 |
| Operations Role     | 2136742.8 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 30659.01 | 29661.78 | -3.25 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1375 | kpi-sumer-9 | 1153475 |
| 750 | recurring-sumer-8 | 1153483 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 219119445  | 253463583 |15.67 |
| Curator Mint Total Minted   | 39816342 | 47828342 | 20.12 |
| Storage Mint Total Minted   | 25396902 | 30370787 | 19.58 |
| Operations Mint Total Minted | 1881000 | 3671260 | 95.18 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 35.38
* End Block Exchange Rate, USD/1M tJOY: 34.02
* Inflation, %: 4.01

Negative value indicates deflation

## 3.0 Council
* Council session #: 10
* Number of council members: 16
* Total number of proposals: 24
* Total number of Approved proposals: 22

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 26 |
| Total Applicant Stake       | 18823222 |
| Total Votes                 | 61 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.05

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 223243849 | 244291122 | 9.43 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 7 | 10 | 42.86 |
| Total Storage Stake (workers + lead) | 450000 | 750000 | 66.67 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 7 | 0.7 | 4.2 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 7 | 0.7 | 4.2 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 7 | 0.7 | 4.2 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 7 | 0.7 | 4.2 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 7 | 0.7 | 4.7 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 20 | 1.5 | 1.5 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | Infinity | 0.0 | 0.0 |
| 12 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | Infinity | 0.0 | 0.0 |
| 13 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | Infinity | 0.0 | 0.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 9 | -10 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 18 | 1.7 | 13.7 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 6.0 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 6.0 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 4.6 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 4.7 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 2.0 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 2.0 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 7 | 0.7 | 2.0 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.7 | 2.0 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 1 | 4 | 300 |
| Total Operations Stake (workers + lead) | 150000 | 1650000 | 1000 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 21 | 1.8 | 3.7 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2335|  2371 | 1.54 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 1277 | 1680  |  31.56 |
| Size of content (MB)    |  148184.66 |  175785.38 | 18.63 |
| Number of channels      |  187 | 212 | 13.37 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 462 | 470 | 1.73 |
| Number of posts      | 3507 | 3592 | 2.42 |
