# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1184400 - 1285199
* Date Range: 6/29/2021 - 7/6/2021
* Council session #: 11

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  872545399 | 919445318 | 5.38 |
| USD Pool |  29661.78 | 32510.15 | 9.6 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 55251416 |
| Spending Proposals (Executed) | 18906015 |
| Bounties paid       | 15906015 |
| Validator Role      | 6082007 |
| Storage Role        | 8420216.47 |
| Curator Role        | 7350767.07 |
| Operations Role     | 3850325.8 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 29661.78 | 32510.15 | 9.6 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 750 | recurring-sumer-9 | 1184400 |
| 4 | bounty 9 | 1208358 |
| 1381 | bounty 10 | 1208361 |
| 141 | bounty 12 | 1208364 |
| 361 | bounty 15 | 1208367 |
| 143 | bounty 17 | 1208369 |
| 152 | bounty 18 | 1208370 |
| 1896 | kpi-sumer 10 | 1236236 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 253463583  | 276257598 |8.99 |
| Curator Mint Total Minted   | 47828342 | 55348392 | 15.72 |
| Storage Mint Total Minted   | 30370787 | 38281087 | 26.05 |
| Operations Mint Total Minted | 3671260 | 6947069 | 89.23 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 34.83
* End Block Exchange Rate, USD/1M tJOY: 35.75
* Inflation, %: -2.57

Negative value indicates deflation

## 3.0 Council
* Council session #: 11
* Number of council members: 16
* Total number of proposals: 23
* Total number of Approved proposals: 23

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 25 |
| Total Applicant Stake       | 12292321 |
| Total Votes                 | 62 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 244291122 | 252928372 | 3.54 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 10 | 11 | 10 |
| Total Storage Stake (workers + lead) | 750000 | 850000 | 13.33 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 7 | 0.7 | 4.9 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 7 | 0.7 | 4.9 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 7 | 0.7 | 4.9 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 7 | 0.7 | 5.0 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 7 | 0.7 | 5.5 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 20 | 2.0 | 3.5 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 7 | 0.6 | 0.6 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.6 | 0.6 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 7 | 0.6 | 0.6 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 7 | 0.6 | 0.6 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 9 | 9 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 16 | 1.7 | 15.4 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 6.8 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 6.8 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 5.4 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 5.4 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 2.7 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 2.7 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.7 | 2.7 |
| 17 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.5 | 0.5 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 4 | 8 | 100 |
| Total Operations Stake (workers + lead) | 1650000 | 3650000 | 121.21 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 21 | 2.1 | 5.8 |
| 5 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 2 | 0.2 | 0.2 |
| 6 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 1 | 0.1 | 0.1 |
| 7 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 1 | 0.1 | 0.1 |
| 8 | [@stwoof](https://pioneer.joystreamstats.live/#/members/stwoof) | active | 1 | 0.1 | 0.1 |
| 9 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 1 | 0.1 | 0.1 |
| 10 | [@drmarkovi](https://pioneer.joystreamstats.live/#/members/drmarkovi) | active | 1 | 0.1 | 0.1 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.5 | 0.5 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2371|  2441 | 2.95 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 1680 | 2077  |  23.63 |
| Size of content (MB)    |  175785.38 |  218053.07 | 24.05 |
| Number of channels      |  212 | 251 | 18.4 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 470 | 479 | 1.91 |
| Number of posts      | 3592 | 3684 | 2.56 |
