# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1285200 - 1385999
* Date Range: 7/6/2021 - 7/13/2021
* Council session #: 12

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  919445335 | 972093413 | 5.73 |
| USD Pool |  32510.15 | 32821.17 | 0.96 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 66302877 |
| Spending Proposals (Executed) | 30754200 |
| Bounties paid       | 30754200 |
| Validator Role      | 12919403 |
| Storage Role        | 8672213.97 |
| Curator Role        | 8180118.85 |
| Operations Role     | 3850325.8 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 32510.15 | 32821.17 | 0.96 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 750 | recurring-sumer-10 | 1285200 |
| 1857 | kpi-sumer-11 | 1333582 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 276257598  | 310899798 |12.54 |
| Curator Mint Total Minted   | 55348392 | 63445412 | 14.63 |
| Storage Mint Total Minted   | 38281087 | 46746387 | 22.11 |
| Operations Mint Total Minted | 6947086 | 10797433 | 55.42 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 36.16
* End Block Exchange Rate, USD/1M tJOY: 33.84
* Inflation, %: 6.84

Negative value indicates deflation

## 3.0 Council
* Council session #: 12
* Number of council members: 16
* Total number of proposals: 41
* Total number of Approved proposals: 32

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 24 |
| Total Applicant Stake       | 14039000 |
| Total Votes                 | 42 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.02

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 252928372 | 269300643 | 6.47 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 850000 | 850000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 7 | 0.7 | 5.6 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 7 | 0.7 | 5.6 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 7 | 0.7 | 5.6 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 7 | 0.7 | 5.7 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 7 | 0.7 | 6.2 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 20 | 2.0 | 5.5 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 7 | 0.7 | 1.3 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 1.3 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 7 | 0.7 | 1.3 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 7 | 0.7 | 1.3 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 9 | 10 | 11.11 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 17 | 1.7 | 17.1 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 7.5 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 7.5 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 6.1 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 6.1 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 3.4 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 3.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.7 | 3.4 |
| 17 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.7 | 1.2 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 7 | 0.7 | 0.7 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 8 | 8 | 0 |
| Total Operations Stake (workers + lead) | 3650000 | 3650000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 21 | 2.1 | 7.9 |
| 5 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 2 | 0.2 | 0.4 |
| 6 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 1 | 0.1 | 0.2 |
| 7 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 1 | 0.1 | 0.2 |
| 8 | [@stwoof](https://pioneer.joystreamstats.live/#/members/stwoof) | active | 1 | 0.1 | 0.2 |
| 9 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 1 | 0.1 | 0.2 |
| 10 | [@drmarkovi](https://pioneer.joystreamstats.live/#/members/drmarkovi) | active | 1 | 0.1 | 0.2 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 1.0 | 1.5 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2441|  2537 | 3.93 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 2077 | 2979  |  43.43 |
| Size of content (MB)    |  218053.07 |  342314.16 | 56.99 |
| Number of channels      |  251 | 294 | 17.13 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 479 | 496 | 3.55 |
| Number of posts      | 3684 | 3908 | 6.08 |
