# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1386000 - 1486799
* Date Range: 7/13/2021 - 7/20/2021
* Council session #: 13

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  972093430 | 1037218012 | 6.7 |
| USD Pool |  32793.70 | 34615.60 | 5.56 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 98624864 |
| Spending Proposals (Executed) | 66399263 |
| Bounties paid       | 62236669 |
| Validator Role      | 13752418 |
| Storage Role        | 9880261.98 |
| Curator Role        | 8426516.40 |
| Operations Role     | 7931481.31 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 32793.70 | 34615.60 | 5.56 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 750 | recurring-sumer-11 | 1418080 |
| 1581 | bounty 10 | 1419924 |
| 1836 | kpi-sumer-12 | 1446836 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 310899798  | 381187061 |22.61 |
| Curator Mint Total Minted   | 63445412 | 71477312 | 12.66 |
| Storage Mint Total Minted   | 46746387 | 57380192 | 22.75 |
| Operations Mint Total Minted | 10797450 | 17466188 | 61.76 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 33.74
* End Block Exchange Rate, USD/1M tJOY: 33.61
* Inflation, %: 0.38

Negative value indicates deflation

## 3.0 Council
* Council session #: 13
* Number of council members: 16
* Total number of proposals: 25
* Total number of Approved proposals: 31

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 24 |
| Total Applicant Stake       | 12904428 |
| Total Votes                 | 53 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.04

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 269300643 | 295627677 | 9.78 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 10 | -9.09 |
| Total Storage Stake (workers + lead) | 850000 | 800000 | -5.88 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 1.0 | 6.6 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 1.0 | 6.6 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 1.0 | 6.6 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 1.0 | 6.6 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 20 | 2.1 | 7.6 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 1.0 | 2.3 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 1.0 | 2.3 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 1.0 | 2.3 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 1.0 | 2.3 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 17 | 1.7 | 18.8 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 8.2 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 8.2 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 6.8 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 6.8 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 4.2 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 4.2 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.7 | 4.2 |
| 17 | [@oiclid](https://pioneer.joystreamstats.live/#/members/oiclid) | active | 7 | 0.7 | 2.0 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 7 | 0.7 | 1.4 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 8 | 8 | 0 |
| Total Operations Stake (workers + lead) | 3650000 | 3650000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 22 | 2.1 | 10.1 |
| 5 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 2 | 0.2 | 0.6 |
| 6 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 1 | 0.1 | 0.3 |
| 7 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 1 | 0.1 | 0.3 |
| 8 | [@stwoof](https://pioneer.joystreamstats.live/#/members/stwoof) | active | 1 | 0.1 | 0.3 |
| 9 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 1 | 0.1 | 0.3 |
| 10 | [@drmarkovi](https://pioneer.joystreamstats.live/#/members/drmarkovi) | active | 1 | 0.1 | 0.3 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 50 | 3.8 | 5.3 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2537|  2574 | 1.46 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 2979 | 4377  |  46.93 |
| Size of content (MB)    |  342314.16 |  544495.24 | 59.06 |
| Number of channels      |  294 | 326 | 10.88 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 496 | 504 | 1.61 |
| Number of posts      | 3908 | 4065 | 4.02 |
