# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1486800 - 1587599
* Date Range: 7/20/2021 - 7/27/2021
* Council session #: 14

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1037218069 | 1053500917 | 1.57 |
| USD Pool |  34615.60 | 33376.30 | -3.58 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 97408259 |
| Spending Proposals (Executed) | 30879798 |
| Bounties paid       | 23631616 |
| Validator Role      | 12709365 |
| Storage Role        | 10864032.22 |
| Curator Role        | 6203758.45 |
| Operations Role     | 17410619.27 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 34615.60 | 33376.30 | -3.58 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 750 | recurring-sumer-12 | 1486800 |
| 1195 | kpi-sumer-13 | 1562006 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 381187061  | 415954859 |9.12 |
| Curator Mint Total Minted   | 71477312 | 79666677 | 11.46 |
| Storage Mint Total Minted   | 57380192 | 67678907 | 17.95 |
| Operations Mint Total Minted | 17466245 | 29695077 | 70.01 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 34.09
* End Block Exchange Rate, USD/1M tJOY: 32.09
* Inflation, %: 6.24

Negative value indicates deflation

## 3.0 Council
* Council session #: 14
* Number of council members: 16
* Total number of proposals: 26
* Total number of Approved proposals: 23

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 28 |
| Total Applicant Stake       | 34738076 |
| Total Votes                 | 35 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.07

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 295627677 | 301465058 | 1.97 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 10 | 12 | 20 |
| Total Storage Stake (workers + lead) | 800000 | 1000000 | 25 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 1.0 | 7.6 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 0.9 | 7.5 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 1.0 | 7.6 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 1.0 | 7.6 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 20 | 2.0 | 9.6 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 1.0 | 3.2 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 0.9 | 3.2 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 1.0 | 3.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.9 | 3.2 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 0.7 | 0.7 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 8 | -20 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 17 | 1.7 | 20.5 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 6 | 0.7 | 8.9 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 8.9 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 7.5 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.7 | 7.5 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 4.9 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 6 | 0.7 | 4.9 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 7 | 0.7 | 2.1 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 8 | 9 | 12.5 |
| Total Operations Stake (workers + lead) | 3650000 | 3750000 | 2.74 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 22 | 1.8 | 11.9 |
| 5 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 20 | 1.2 | 1.8 |
| 6 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 10 | 1.1 | 1.4 |
| 7 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 20 | 1.2 | 1.5 |
| 8 | [@stwoof](https://pioneer.joystreamstats.live/#/members/stwoof) | active | 10 | 1.1 | 1.4 |
| 9 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 1.1 | 1.4 |
| 10 | [@drmarkovi](https://pioneer.joystreamstats.live/#/members/drmarkovi) | active | 11 | 1.1 | 1.4 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 20 | 2.1 | 7.4 |
| 12 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 50 | 1.4 | 1.4 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2574|  2597 | 0.89 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 4377 | 5714  |  30.55 |
| Size of content (MB)    |  544495.24 |  699541.58 | 28.48 |
| Number of channels      |  326 | 354 | 8.59 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 504 | 514 | 1.98 |
| Number of posts      | 4065 | 4214 | 3.67 |
