# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1587600 - 1688399
* Date Range: 7/27/2021 - 8/3/2021
* Council session #: 15

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1053501068 | 1099367634 | 4.35 |
| USD Pool |  33363.02 | 31789.48 | -4.72 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 85399377 |
| Spending Proposals (Executed) | 31792993 |
| Bounties paid       | 19745223 |
| Validator Role      | 14270773 |
| Storage Role        | 11028138.59 |
| Curator Role        | 8135739.29 |
| Operations Role     | 16377037.53 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 33363.02 | 31789.48 | -4.72 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1000 | recurring-sumer-14 | 1607469 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 415954859  | 451635852 |8.58 |
| Curator Mint Total Minted   | 79666677 | 86301747 | 8.33 |
| Storage Mint Total Minted   | 67678907 | 77767703 | 14.91 |
| Operations Mint Total Minted | 29695228 | 40963895 | 37.95 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 31.67
* End Block Exchange Rate, USD/1M tJOY: 29.52
* Inflation, %: 7.26

Negative value indicates deflation

## 3.0 Council
* Council session #: 15
* Number of council members: 16
* Total number of proposals: 39
* Total number of Approved proposals: 34

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 34 |
| Total Applicant Stake       | 24877761 |
| Total Votes                 | 101 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.07

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 301465058 | 317717246 | 5.39 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 0.9 | 8.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 0.9 | 8.4 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 0.9 | 8.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 0.9 | 8.5 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 22 | 2.0 | 11.6 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 0.9 | 4.2 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 0.9 | 4.0 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 0.9 | 4.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.9 | 4.0 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 0.9 | 1.5 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 8 | 10 | 25 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 17 | 1.8 | 22.3 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 4 | 0.5 | 9.4 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 8 | 0.8 | 9.7 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 8 | 0.8 | 8.3 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 8 | 0.5 | 8.0 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 8 | 0.8 | 5.7 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 4 | 0.5 | 5.4 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.8 | 2.9 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.2 | 0.2 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.2 | 0.2 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 9 | 11 | 22.22 |
| Total Operations Stake (workers + lead) | 3750000 | 4750000 | 26.67 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 23 | 1.6 | 13.5 |
| 5 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 25 | 1.6 | 3.4 |
| 6 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 0 | 0.4 | 1.8 |
| 7 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 20 | 1.3 | 2.8 |
| 8 | [@stwoof](https://pioneer.joystreamstats.live/#/members/stwoof) | active | 10 | 0.7 | 2.1 |
| 9 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 1 | 0.2 | 1.6 |
| 10 | [@drmarkovi](https://pioneer.joystreamstats.live/#/members/drmarkovi) | active | 11 | 0.7 | 2.2 |
| 11 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 20 | 1.3 | 8.7 |
| 12 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 50 | 3.4 | 4.8 |
| 13 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 1 | 0.0 | 0.0 |
| 14 | [@palladium](https://pioneer.joystreamstats.live/#/members/palladium) | active | 1 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2597|  2630 | 1.27 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 5714 | 5805  |  1.59 |
| Size of content (MB)    |  699541.58 |  722155.19 | 3.23 |
| Number of channels      |  354 | 369 | 4.24 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 56 | 1.82 |
| Number of threads    | 514 | 523 | 1.75 |
| Number of posts      | 4214 | 4359 | 3.44 |
