# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1688400 - 1789199
* Date Range: 8/3/2021 - 8/10/2021
* Council session #: 16

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1099367773 | 1129247600 | 2.72 |
| USD Pool |  31731.74 | 33728.76 | 6.29 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 111798600 |
| Spending Proposals (Executed) | 20893103 |
| Bounties paid       | 13793103 |
| Validator Role      | 14215503 |
| Storage Role        | 11989705.05 |
| Curator Role        | 5721743.24 |
| Operations Role     | 43185931.56 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 31731.74 | 33728.76 | 6.29 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1000 | recurring-sumer-15 | 1694336 |
| 1300 | bounty 13 | 1724277 |
| 1522 | bounty 14 | 1724282 |
| 183 | bounty 18 | 1724286 |
| 1306 | kpi-sumer-15 | 1749103 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 451635852  | 476416955 |5.49 |
| Curator Mint Total Minted   | 86301747 | 93917872 | 8.82 |
| Storage Mint Total Minted   | 77767703 | 89010584 | 14.46 |
| Operations Mint Total Minted | 40964034 | 59775255 | 45.92 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 28.87
* End Block Exchange Rate, USD/1M tJOY: 30.31
* Inflation, %: -4.76

Negative value indicates deflation

## 3.0 Council
* Council session #: 16
* Number of council members: 16
* Total number of proposals: 39
* Total number of Approved proposals: 31

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 36 |
| Total Applicant Stake       | 41468368 |
| Total Votes                 | 82 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.13

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 317717246 | 340993228 | 7.33 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 11 | 1.0 | 9.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 11 | 1.0 | 9.4 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 11 | 1.0 | 9.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 11 | 1.0 | 9.5 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 24 | 2.3 | 13.9 |
| 14 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 11 | 1.0 | 5.2 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 11 | 1.0 | 5.0 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 11 | 1.0 | 5.2 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 11 | 1.0 | 5.0 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 11 | 1.0 | 2.5 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 9 | -10 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 1 | 0.3 | 9.8 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 1 | 0.7 | 10.4 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 8 | 0.6 | 8.9 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.5 | 8.5 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 8 | 0.8 | 6.5 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.5 | 5.9 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.8 | 3.7 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.8 | 1.0 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.8 | 1.0 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 11 | 6 | -45.45 |
| Total Operations Stake (workers + lead) | 4750000 | 150000 | -96.84 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 26 | 2.1 | 15.6 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 69 | 3.0 | 3.0 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 278 | 8.3 | 8.3 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 28 | 1.3 | 1.3 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 14 | 0.5 | 0.5 |
| 19 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 14 | 0.5 | 0.5 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2630|  2661 | 1.18 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 5805 | 5873  |  1.17 |
| Size of content (MB)    |  722155.19 |  730526.57 | 1.16 |
| Number of channels      |  369 | 375 | 1.63 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 56 | 56 | 0 |
| Number of threads    | 523 | 533 | 1.91 |
| Number of posts      | 4359 | 4490 | 3.01 |
