# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1789200 - 1889999
* Date Range: 8/10/2021 - 8/17/2021
* Council session #: 17

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1129247600 | 1174597873 | 4.02 |
| USD Pool |  33728.76 | 34873.14 | 3.39 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 73890986 |
| Spending Proposals (Executed) | 3566666 |
| Bounties paid       | 0 |
| Validator Role      | 14740861 |
| Storage Role        | 11687308.05 |
| Curator Role        | 8469915.97 |
| Operations Role     | 22186139.9 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 33728.76 | 34873.14 | 3.39 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1000 | recurring-sumer-16 | 1789200 |
| 1870 | kpi-sumer-16 | 1849542 |
| 500 | bounty 10 final | 1849609 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 476416955  | 483871621 |1.56 |
| Curator Mint Total Minted   | 93917872 | 100918722 | 7.45 |
| Storage Mint Total Minted   | 89010584 | 98967387 | 11.19 |
| Operations Mint Total Minted | 59775255 | 77272655 | 29.27 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 30.68
* End Block Exchange Rate, USD/1M tJOY: 29.97
* Inflation, %: 2.36

Negative value indicates deflation

## 3.0 Council
* Council session #: 17
* Number of council members: 16
* Total number of proposals: 31
* Total number of Approved proposals: 29

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 39 |
| Total Applicant Stake       | 35236111 |
| Total Votes                 | 67 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.05

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 340993228 | 335805037 | -1.52 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 1.0 | 10.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 1.0 | 10.4 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 1.0 | 10.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 1.0 | 10.5 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 24 | 2.2 | 16.0 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 1.0 | 6.0 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 1.0 | 6.1 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.9 | 5.9 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 1.0 | 3.5 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 0.0 | 0.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 9 | 10 | 11.11 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 1 | 0.1 | 9.9 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 8 | 0.9 | 9.7 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.4 | 8.9 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 8 | 0.9 | 7.3 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.9 | 6.8 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.9 | 4.6 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.9 | 1.9 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.9 | 1.9 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 1.2 | 1.2 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.1 | 0.1 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 6 | 5 | -16.67 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 26 | 1.8 | 17.4 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 28 | 2.1 | 5.2 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 69 | 10.5 | 18.8 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 28 | 1.8 | 3.1 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 69 | 1.1 | 1.6 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2661|  2686 | 0.94 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 5873 | 5947  |  1.26 |
| Size of content (MB)    |  730526.57 |  762924.48 | 4.43 |
| Number of channels      |  375 | 380 | 1.33 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 56 | 56 | 0 |
| Number of threads    | 533 | 546 | 2.44 |
| Number of posts      | 4490 | 4654 | 3.65 |
