# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1890000 - 1990799
* Date Range: 8/17/2021 - 8/24/2021
* Council session #: 18

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1174597873 | 1270804518 | 8.19 |
| USD Pool |  34873.14 | 36045.46 | 3.36 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 60200000 |
| Spending Proposals (Executed) | 51216981 |
| Bounties paid       | 13275805 |
| Validator Role      | 12241670 |
| Storage Role        | 11561085.31 |
| Curator Role        | 8469915.97 |
| Operations Role     | 12320857.77 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 34873.14 | 36045.46 | 3.36 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-17 | 1890000 |
| 1819 | kpi-sumer-17 | 1963067 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 483871621  | 538976602 |11.39 |
| Curator Mint Total Minted   | 100918722 | 109388722 | 8.39 |
| Storage Mint Total Minted   | 98967387 | 107675094 | 8.8 |
| Operations Mint Total Minted | 77272655 | 86455350 | 11.88 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 30.41
* End Block Exchange Rate, USD/1M tJOY: 28.42
* Inflation, %: 7

Negative value indicates deflation

## 3.0 Council
* Council session #: 18
* Number of council members: 16
* Total number of proposals: 40
* Total number of Approved proposals: 30

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 35 |
| Total Applicant Stake       | 59233044 |
| Total Votes                 | 64 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 335805037 | 343013530 | 2.15 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 0.8 | 11.2 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 0.8 | 11.1 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 0.8 | 11.2 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 0.8 | 11.3 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 23 | 1.7 | 17.8 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 0.8 | 6.8 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 0.8 | 6.9 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.8 | 6.7 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 0.8 | 4.2 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 0.8 | 0.8 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 1 | 0.1 | 9.9 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 8 | 0.9 | 10.6 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.4 | 9.4 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 8 | 0.9 | 8.2 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.9 | 7.6 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.9 | 5.4 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.9 | 2.7 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.9 | 2.7 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 2.0 | 3.2 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.8 | 0.9 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 5 | 6 | 20 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 24 | 1.3 | 18.7 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 14 | 1.1 | 6.3 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 14 | 1.7 | 20.5 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 28 | 1.4 | 4.5 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 28 | 3.1 | 4.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 0.6 | 0.6 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2686|  2727 | 1.53 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 5947 | 5999  |  0.87 |
| Size of content (MB)    |  762924.48 |  769851.07 | 0.91 |
| Number of channels      |  380 | 393 | 3.42 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 56 | 56 | 0 |
| Number of threads    | 546 | 558 | 2.2 |
| Number of posts      | 4654 | 4760 | 2.28 |
