# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 1990800 - 2091599
* Date Range: 8/24/2021 - 8/31/2021
* Council session #: 19

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1270804518 | 1357368050 | 6.81 |
| USD Pool |  36045.46 | 35489.45 | -1.54 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 57878100 |
| Spending Proposals (Executed) | 36676575 |
| Bounties paid       | 29746998 |
| Validator Role      | 13934248 |
| Storage Role        | 11692152.01 |
| Curator Role        | 8766713.03 |
| Operations Role     | 12669874.31 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 36045.46 | 35489.45 | -1.54 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-18 | 1990800 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 538976602  | 579541177 |7.53 |
| Curator Mint Total Minted   | 109388722 | 117943162 | 7.82 |
| Storage Mint Total Minted   | 107675094 | 119362681 | 10.85 |
| Operations Mint Total Minted | 86455350 | 98146650 | 13.52 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 29.19
* End Block Exchange Rate, USD/1M tJOY: 26.91
* Inflation, %: 8.47

Negative value indicates deflation

## 3.0 Council
* Council session #: 19
* Number of council members: 16
* Total number of proposals: 39
* Total number of Approved proposals: 31

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 41 |
| Total Applicant Stake       | 91689431 |
| Total Votes                 | 87 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 343013530 | 309239368 | -9.85 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 1.0 | 12.3 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 1.0 | 12.2 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 1.0 | 12.3 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 1.0 | 12.3 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 24 | 2.4 | 20.2 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 1.0 | 7.8 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 1.0 | 7.9 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 1.0 | 7.7 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 1.0 | 5.3 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 1.0 | 1.9 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 1 | 0.1 | 10.0 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 8 | 0.9 | 11.5 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.4 | 9.8 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 8 | 0.9 | 9.0 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.9 | 8.5 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.9 | 6.3 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.9 | 3.6 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.9 | 3.6 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 23 | 2.1 | 5.3 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.8 | 1.8 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 6 | 6 | 0 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 2.4 | 21.1 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 14 | 1.4 | 7.6 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 14 | 1.3 | 21.8 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 28 | 2.6 | 7.1 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 28 | 2.6 | 7.4 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.4 | 2.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2727|  2743 | 0.59 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 5999 | 6120  |  2.02 |
| Size of content (MB)    |  769851.07 |  781751.53 | 1.55 |
| Number of channels      |  393 | 400 | 1.78 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 56 | 57 | 1.79 |
| Number of threads    | 558 | 571 | 2.33 |
| Number of posts      | 4760 | 4845 | 1.79 |
