# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2091600 - 2192399
* Date Range: 8/31/2021 - 9/7/2021
* Council session #: 20

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1357368050 | 1338546840 | -1.39 |
| USD Pool |  35489.45 | 34166.82 | -3.73 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 92140403 |
| Spending Proposals (Executed) | 32923557 |
| Bounties paid       | 23923557 |
| Validator Role      | 11031708 |
| Storage Role        | 11947509.47 |
| Curator Role        | 7586524.74 |
| Operations Role     | 11269888.19 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 35489.45 | 34166.82 | -3.73 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-19 | 2091733 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 579541177  | 616352734 |6.35 |
| Curator Mint Total Minted   | 117943162 | 126241662 | 7.04 |
| Storage Mint Total Minted   | 119362681 | 127227309 | 6.59 |
| Operations Mint Total Minted | 98146650 | 108086650 | 10.13 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 26.28
* End Block Exchange Rate, USD/1M tJOY: 25.60
* Inflation, %: 2.67

Negative value indicates deflation

## 3.0 Council
* Council session #: 20
* Number of council members: 16
* Total number of proposals: 31
* Total number of Approved proposals: 30

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 38 |
| Total Applicant Stake       | 70587166 |
| Total Votes                 | 85 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 309239368 | 319494690 | 3.32 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 12 | 0 |
| Total Storage Stake (workers + lead) | 1000000 | 1000000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 0.7 | 13.0 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 0.7 | 12.9 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 10 | 0.7 | 13.0 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 0.7 | 13.0 |
| 9 | [@nexusfallout](https://pioneer.joystreamstats.live/#/members/nexusfallout) | active | 27 | 1.7 | 21.9 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 0.7 | 8.4 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 0.7 | 8.6 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.6 | 8.3 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 0.7 | 5.9 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 0.7 | 2.6 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 7 | -30 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 4 | 0.4 | 10.2 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 10 | 0.9 | 9.4 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 10 | 0.9 | 7.2 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 10 | 0.9 | 4.5 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 10 | 0.9 | 4.5 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 23 | 2.3 | 7.6 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 10 | 0.9 | 2.7 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 6 | 6 | 0 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 2.2 | 23.3 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 14 | 1.1 | 8.7 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 1.1 | 22.9 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 14 | 2.1 | 9.3 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 14 | 2.1 | 9.6 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.2 | 3.2 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2743|  2773 | 1.09 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6120 | 6153  |  0.54 |
| Size of content (MB)    |  781751.53 |  785968.57 | 0.54 |
| Number of channels      |  400 | 414 | 3.5 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 571 | 590 | 3.33 |
| Number of posts      | 4845 | 4979 | 2.77 |
