# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2192400 - 2293199
* Date Range: 9/7/2021 - 9/14/2021
* Council session #: 21

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1338546840 | 1381714232 | 3.22 |
| USD Pool |  33860.51 | 34223.24 | 1.07 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 39700000 |
| Spending Proposals (Executed) | 38008919 |
| Bounties paid       | 29097645 |
| Validator Role      | 16566109 |
| Storage Role        | 10203126.78 |
| Curator Role        | 7159556.97 |
| Operations Role     | 11269888.19 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 33860.51 | 34223.24 | 1.07 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-20 | 2219900 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 616352734  | 658249653 |6.8 |
| Curator Mint Total Minted   | 126241662 | 133467698 | 5.72 |
| Storage Mint Total Minted   | 127227309 | 136218137 | 7.07 |
| Operations Mint Total Minted | 108086650 | 116306650 | 7.61 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 25.53
* End Block Exchange Rate, USD/1M tJOY: 25.74
* Inflation, %: -0.84

Negative value indicates deflation

## 3.0 Council
* Council session #: 21
* Number of council members: 16
* Total number of proposals: 31
* Total number of Approved proposals: 28

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 32 |
| Total Applicant Stake       | 104131778 |
| Total Votes                 | 71 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.03

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 319494690 | 321270563 | 0.56 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 12 | 11 | -8.33 |
| Total Storage Stake (workers + lead) | 1000000 | 1100000 | 10 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 1.0 | 14.0 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 1.0 | 13.8 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 1.0 | 14.0 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 1.0 | 9.4 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 1.0 | 9.7 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 1.0 | 9.3 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 1.0 | 6.9 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 1.0 | 3.6 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 19 | 0.5 | 0.5 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 7 | 7 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.2 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 10 | 1.0 | 10.4 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 10 | 0.9 | 8.1 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 10 | 1.0 | 5.5 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 10 | 1.0 | 5.5 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 23 | 2.2 | 9.8 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 10 | 1.0 | 3.7 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 6 | 6 | 0 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 2.1 | 25.4 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 14 | 1.0 | 9.7 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 2.0 | 24.9 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 14 | 1.0 | 10.3 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 14 | 1.0 | 10.6 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.1 | 4.3 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2773|  2806 | 1.19 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6153 | 6207  |  0.88 |
| Size of content (MB)    |  785968.57 |  800453.42 | 1.84 |
| Number of channels      |  414 | 432 | 4.35 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 590 | 603 | 2.2 |
| Number of posts      | 4979 | 5115 | 2.73 |
