# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2293200 - 2393999
* Date Range: 9/14/2021 - 9/21/2021
* Council session #: 22

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1381714232 | 1477932889 | 6.96 |
| USD Pool |  33975.55 | 36351.13 | 6.99 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 141212000 |
| Spending Proposals (Executed) | 16449268 |
| Bounties paid       | 12449799 |
| Validator Role      | 11388562 |
| Storage Role        | 9836190.42 |
| Curator Role        | 5975280.72 |
| Operations Role     | 13918157.92 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 33975.55 | 36351.13 | 6.99 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-21 | 2297030 |
| 2972 | kpi-sumer-19/20 | 2297038 |
| 1621 | kpi-sumer-21 | 2376665 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 658249653  | 678586921 |3.09 |
| Curator Mint Total Minted   | 133467698 | 139982633 | 4.88 |
| Storage Mint Total Minted   | 136218137 | 142152850 | 4.36 |
| Operations Mint Total Minted | 116306650 | 127762246 | 9.85 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 24.77
* End Block Exchange Rate, USD/1M tJOY: 24.60
* Inflation, %: 0.69

Negative value indicates deflation

## 3.0 Council
* Council session #: 22
* Number of council members: 16
* Total number of proposals: 22
* Total number of Approved proposals: 22

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 29 |
| Total Applicant Stake       | 124315235 |
| Total Votes                 | 76 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.04

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 321270563 | 274196285 | -14.65 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 10 | 0.6 | 14.6 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 10 | 0.6 | 14.4 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 10 | 0.6 | 14.7 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 10 | 0.6 | 10.0 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 10 | 0.6 | 10.3 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 10 | 0.6 | 9.9 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 10 | 0.6 | 7.5 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 10 | 0.6 | 4.2 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 16 | 1.2 | 1.6 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 7 | 7 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.9 | 11.3 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.9 | 9.0 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.9 | 6.4 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.9 | 6.4 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 2.2 | 11.9 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.9 | 4.5 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 6 | 24 | 300 |
| Total Operations Stake (workers + lead) | 150000 | 2150000 | 1333.33 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 2.5 | 27.9 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 3 | 0.4 | 10.1 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 2.5 | 27.4 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 7 | 0.9 | 11.2 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 0 | 0.2 | 10.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.3 | 5.6 |
| 21 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 0 | 0.0 | 0.0 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 0 | 0.0 | 0.0 |
| 23 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.0 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 0.0 |
| 25 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 27 | [@chasil](https://pioneer.joystreamstats.live/#/members/chasil) | active | 0 | 0.0 | 0.0 |
| 28 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 30 | [@metralunab](https://pioneer.joystreamstats.live/#/members/metralunab) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 0 | 0.0 | 0.0 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.2 | 0.2 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 0 | 0.0 | 0.0 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 56 | 3.4 | 3.4 |
| 35 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 37 | [@surpaul](https://pioneer.joystreamstats.live/#/members/surpaul) | active | 0 | 0.0 | 0.0 |
| 38 | [@allyes](https://pioneer.joystreamstats.live/#/members/allyes) | active | 0 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2806|  2828 | 0.78 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6207 | 6280  |  1.18 |
| Size of content (MB)    |  800453.42 |  811893.8 | 1.43 |
| Number of channels      |  432 | 443 | 2.55 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 603 | 615 | 1.99 |
| Number of posts      | 5115 | 5251 | 2.66 |
