# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2394000 - 2494799
* Date Range: 9/21/2021 - 9/28/2021
* Council session #: 23

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1477932889 | 1511313443 | 2.26 |
| USD Pool |  36351.13 | 38455.06 | 5.79 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 87784000 |
| Spending Proposals (Executed) | 17220110 |
| Bounties paid       | 10849429 |
| Validator Role      | 11071874 |
| Storage Role        | 4556114.8 |
| Curator Role        | 5975280.72 |
| Operations Role     | 14478124.37 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 36351.13 | 38455.06 | 5.79 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-22 | 2394000 |
| 118 | bounty-9 | 2421837 |
| 244 | bounty-16 | 2421841 |
| 1225 | bounty-18 | 2421845 |
| 400 | bounty-19 | 2421848 |
| 800 | bounty-20 | 2421851 |
| 500 | bounty-21 | 2421854 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 678586921  | 699695031 |3.11 |
| Curator Mint Total Minted   | 139982633 | 145957973 | 4.27 |
| Storage Mint Total Minted   | 142152850 | 146897586 | 3.34 |
| Operations Mint Total Minted | 127762246 | 138817685 | 8.65 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 25.32
* End Block Exchange Rate, USD/1M tJOY: 25.59
* Inflation, %: -1.05

Negative value indicates deflation

## 3.0 Council
* Council session #: 23
* Number of council members: 16
* Total number of proposals: 28
* Total number of Approved proposals: 24

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 33 |
| Total Applicant Stake       | 97775239 |
| Total Votes                 | 64 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.05

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 274196285 | 263274744 | -3.98 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 4 | 0.4 | 15.0 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 4 | 0.4 | 14.8 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 4 | 0.4 | 15.0 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 4 | 0.4 | 10.4 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 4 | 0.4 | 10.7 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 4 | 0.4 | 10.3 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 4 | 0.4 | 7.9 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 4 | 0.4 | 4.6 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 16 | 1.6 | 3.2 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 7 | 7 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.8 | 12.0 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.8 | 9.8 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.8 | 7.2 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.8 | 7.2 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 2.0 | 13.9 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.8 | 5.3 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 24 | 24 | 0 |
| Total Operations Stake (workers + lead) | 2150000 | 2150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 2.3 | 30.2 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 3 | 0.2 | 10.3 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 2.2 | 29.6 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 7 | 0.6 | 11.7 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 0 | 0.0 | 10.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.2 | 6.8 |
| 21 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 0 | 0.0 | 0.0 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 0 | 0.0 | 0.0 |
| 23 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 6 | 0.4 | 0.4 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 0 | 0.0 | 0.0 |
| 25 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 27 | [@chasil](https://pioneer.joystreamstats.live/#/members/chasil) | active | 0 | 0.0 | 0.0 |
| 28 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 30 | [@metralunab](https://pioneer.joystreamstats.live/#/members/metralunab) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 0 | 0.0 | 0.0 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.2 | 0.4 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 0 | 0.0 | 0.0 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 56 | 4.0 | 7.4 |
| 35 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 37 | [@surpaul](https://pioneer.joystreamstats.live/#/members/surpaul) | active | 0 | 0.0 | 0.0 |
| 38 | [@allyes](https://pioneer.joystreamstats.live/#/members/allyes) | active | 0 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2828|  2880 | 1.84 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6280 | 6380  |  1.59 |
| Size of content (MB)    |  811893.8 |  822912.2 | 1.36 |
| Number of channels      |  443 | 455 | 2.71 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 615 | 630 | 2.44 |
| Number of posts      | 5251 | 5470 | 4.17 |
