# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2595600 - 2696399
* Date Range: 10/5/2021 - 10/12/2021
* Council session #: 25

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1585238047 | 1645048474 | 3.77 |
| USD Pool |  41917.45 | 42586.49 | 1.6 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 82561318 |
| Spending Proposals (Executed) | 34664099 |
| Bounties paid       | 32748391 |
| Validator Role      | 11152787 |
| Storage Role        | 4556114.8 |
| Curator Role        | 5975280.72 |
| Operations Role     | 15458058.64 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 41917.45 | 42586.49 | 1.6 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 1075 | recurring-sumer-24 | 2595600 |
| 1778 | kpi-sumer-24 | 2665322 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 714829298  | 753381397 |5.39 |
| Curator Mint Total Minted   | 151933313 | 157908653 | 3.93 |
| Storage Mint Total Minted   | 151317483 | 155710924 | 2.9 |
| Operations Mint Total Minted | 143863765 | 153271355 | 6.54 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 27.12
* End Block Exchange Rate, USD/1M tJOY: 25.90
* Inflation, %: 4.7

Negative value indicates deflation

## 3.0 Council
* Council session #: 25
* Number of council members: 16
* Total number of proposals: 30
* Total number of Approved proposals: 29

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 39 |
| Total Applicant Stake       | 153534049 |
| Total Votes                 | 74 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.06

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 103 / 105 | -1.9 |
| Validator Total Stake      | 265293006 | 273471775 | 3.08 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 4 | 0.4 | 15.7 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 4 | 0.4 | 15.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 4 | 0.4 | 15.8 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 4 | 0.4 | 11.1 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 4 | 0.4 | 11.4 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 4 | 0.4 | 11.0 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 4 | 0.4 | 8.6 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 4 | 0.4 | 5.4 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 16 | 1.5 | 6.3 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 7 | 7 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.8 | 13.6 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.8 | 11.4 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.8 | 8.8 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.8 | 8.8 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 2.0 | 17.9 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.8 | 6.9 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 24 | 24 | 0 |
| Total Operations Stake (workers + lead) | 2150000 | 2150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 1.8 | 33.0 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 3 | 0.2 | 10.6 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 1.8 | 32.5 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 7 | 0.5 | 12.4 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 0 | 0.0 | 10.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 0.9 | 8.3 |
| 21 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 7 | 0.2 | 0.2 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 0 | 0.0 | 0.0 |
| 23 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 6 | 0.4 | 1.0 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 3 | 0.1 | 0.1 |
| 25 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 27 | [@chasil](https://pioneer.joystreamstats.live/#/members/chasil) | active | 0 | 0.0 | 0.0 |
| 28 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 30 | [@metralunab](https://pioneer.joystreamstats.live/#/members/metralunab) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 0 | 0.0 | 0.0 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.2 | 0.7 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 0 | 0.0 | 0.0 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 56 | 3.4 | 12.6 |
| 35 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 37 | [@surpaul](https://pioneer.joystreamstats.live/#/members/surpaul) | active | 0 | 0.0 | 0.0 |
| 38 | [@allyes](https://pioneer.joystreamstats.live/#/members/allyes) | active | 0 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2952|  2991 | 1.32 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6493 | 6865  |  5.73 |
| Size of content (MB)    |  839249.99 |  885670.46 | 5.53 |
| Number of channels      |  484 | 509 | 5.17 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 655 | 672 | 2.6 |
| Number of posts      | 5740 | 6062 | 5.61 |
