# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 2696400 - 2782799
* Date Range: 10/12/2021 - 10/18/2021
* Council session #: 26

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  1645048474 | 1723332699 | 4.76 |
| USD Pool |  42581.23 | 44454.64 | 4.4 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 71943573 |
| Spending Proposals (Executed) | 23882485 |
| Bounties paid       | 16925509 |
| Validator Role      | 7406957 |
| Storage Role        | 3905234.8 |
| Curator Role        | 5121660.72 |
| Operations Role     | 13489691.87 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 42581.23 | 44454.64 | 4.4 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 2042 | kpi-sumer-25 | 2748754 |
| 1680 | recurring-sumer-25 | 2748956 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 753381397  | 781151882 |3.69 |
| Curator Mint Total Minted   | 157908653 | 163030373 | 3.24 |
| Storage Mint Total Minted   | 155710924 | 159616204 | 2.51 |
| Operations Mint Total Minted | 153271355 | 164098381 | 7.06 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 25.86
* End Block Exchange Rate, USD/1M tJOY: 25.88
* Inflation, %: -0.08

Negative value indicates deflation

## 3.0 Council
* Council session #: 26
* Number of council members: 16
* Total number of proposals: 28
* Total number of Approved proposals: 23

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 26 |
| Total Applicant Stake       | 66708222 |
| Total Votes                 | 71 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.06

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 103 / 105 | 92 / 105 | -10.68 |
| Validator Total Stake      | 273471775 | 247946630 | -9.33 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 11 | 11 | 0 |
| Total Storage Stake (workers + lead) | 1100000 | 1100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 4 | 0.3 | 16.0 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 4 | 0.3 | 15.9 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 4 | 0.3 | 16.1 |
| 15 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 4 | 0.3 | 11.4 |
| 16 | [@joyval](https://pioneer.joystreamstats.live/#/members/joyval) | active | 4 | 0.3 | 11.7 |
| 17 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 4 | 0.3 | 11.3 |
| 18 | [@godshunter](https://pioneer.joystreamstats.live/#/members/godshunter) | active | 4 | 0.3 | 8.9 |
| 19 | [@bwhm0](https://pioneer.joystreamstats.live/#/members/bwhm0) | active | 0 | 0.0 | 0.0 |
| 21 | [@seainvestor](https://pioneer.joystreamstats.live/#/members/seainvestor) | active | 4 | 0.3 | 5.7 |
| 22 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 16 | 1.4 | 7.7 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 7 | 7 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 0 | 0.0 | 10.4 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 8 | 0.7 | 14.3 |
| 18 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 8 | 0.7 | 12.1 |
| 19 | [@kadyrovs](https://pioneer.joystreamstats.live/#/members/kadyrovs) | active | 8 | 0.7 | 9.4 |
| 20 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 8 | 0.7 | 9.4 |
| 21 | [@laura](https://pioneer.joystreamstats.live/#/members/laura) | active | 20 | 1.7 | 19.6 |
| 22 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 8 | 0.7 | 7.6 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 24 | 24 | 0 |
| Total Operations Stake (workers + lead) | 2150000 | 2150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 28 | 1.9 | 34.9 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 3 | 0.2 | 10.8 |
| 16 | [@lkskrn](https://pioneer.joystreamstats.live/#/members/lkskrn) | active | 28 | 1.9 | 34.4 |
| 17 | [@freakstatic](https://pioneer.joystreamstats.live/#/members/freakstatic) | active | 1 | 0.1 | 12.6 |
| 18 | [@dapplooker](https://pioneer.joystreamstats.live/#/members/dapplooker) | active | 0 | 0.0 | 10.8 |
| 20 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 15 | 1.1 | 9.3 |
| 21 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 7 | 0.5 | 0.7 |
| 22 | [@arseniy2706](https://pioneer.joystreamstats.live/#/members/arseniy2706) | active | 4 | 0.3 | 0.3 |
| 23 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 6 | 0.4 | 1.4 |
| 24 | [@shtihmas](https://pioneer.joystreamstats.live/#/members/shtihmas) | active | 3 | 0.2 | 0.3 |
| 25 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 0 | 0.0 | 0.0 |
| 26 | [@zazik](https://pioneer.joystreamstats.live/#/members/zazik) | active | 0 | 0.0 | 0.0 |
| 27 | [@chasil](https://pioneer.joystreamstats.live/#/members/chasil) | active | 0 | 0.0 | 0.0 |
| 28 | [@mmsaww](https://pioneer.joystreamstats.live/#/members/mmsaww) | active | 0 | 0.0 | 0.0 |
| 29 | [@goldmember](https://pioneer.joystreamstats.live/#/members/goldmember) | active | 0 | 0.0 | 0.0 |
| 30 | [@metralunab](https://pioneer.joystreamstats.live/#/members/metralunab) | active | 0 | 0.0 | 0.0 |
| 31 | [@ilich](https://pioneer.joystreamstats.live/#/members/ilich) | active | 0 | 0.0 | 0.0 |
| 32 | [@kate_fm](https://pioneer.joystreamstats.live/#/members/kate_fm) | active | 3 | 0.2 | 0.9 |
| 33 | [@ururu](https://pioneer.joystreamstats.live/#/members/ururu) | active | 0 | 0.0 | 0.0 |
| 34 | [@andybut](https://pioneer.joystreamstats.live/#/members/andybut) | active | 56 | 3.8 | 16.4 |
| 35 | [@kriptos](https://pioneer.joystreamstats.live/#/members/kriptos) | active | 0 | 0.0 | 0.0 |
| 36 | [@chiffah](https://pioneer.joystreamstats.live/#/members/chiffah) | active | 4 | 0.3 | 0.3 |
| 37 | [@surpaul](https://pioneer.joystreamstats.live/#/members/surpaul) | active | 0 | 0.0 | 0.0 |
| 38 | [@allyes](https://pioneer.joystreamstats.live/#/members/allyes) | active | 0 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2991|  3018 | 0.9 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 6865 | 7024  |  2.32 |
| Size of content (MB)    |  885670.46 |  915690.03 | 3.39 |
| Number of channels      |  509 | 526 | 3.34 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 57 | 57 | 0 |
| Number of threads    | 672 | 686 | 2.08 |
| Number of posts      | 6062 | 6344 | 4.65 |
