# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 781200 - 881999
* Date Range: 6/1/2021 - 6/8/2021
* Council session #: 7

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  756440054 | 790400718 | 4.49 |
| USD Pool |  25235.12 | 29506.72 | 16.93 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 48797111 |
| Spending Proposals (Executed) | 8633519 |
| Bounties paid       | 8633519 |
| Validator Role      | 9957579 |
| Storage Role        | 4031260.01 |
| Curator Role        | 7615084.45 |
| Operations Role     | 923990.83 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 25235.12 | 29506.72 | 16.93 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 500 | recurring-antioch 5 | 781200 |
| 234 | bounty 5 | 845721 |
| 87 | bounty 9 | 845724 |
| 1220 | bounty 10 | 845727 |
| 398 | bounty 11 | 845730 |
| 525 | bounty 12 | 845735 |
| 87 | bounty 13 | 845738 |
| 1125 | bounty 14 | 845741 |
| 1793 | kpi 6 | 860450 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 151425941  | 163947460 |8.27 |
| Curator Mint Total Minted   | 20522135 | 24614982 | 19.94 |
| Storage Mint Total Minted   | 14673281 | 18666302 | 27.21 |
| Operations Mint Total Minted | 0 | 33000 | 100 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 33.34
* End Block Exchange Rate, USD/1M tJOY: 37.53
* Inflation, %: -11.18

Negative value indicates deflation

## 3.0 Council
* Council session #: 7
* Number of council members: 16
* Total number of proposals: 15
* Total number of Approved proposals: 18

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 30 |
| Total Applicant Stake       | 9878493 |
| Total Votes                 | 72 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 103 / 103 | 105 / 105 | 1.94 |
| Validator Total Stake      | 179053693 | 198505250 | 10.86 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6 | 6 | 0 |
| Total Storage Stake (workers + lead) | 100000 | 100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 11 | 1.1 | 5.0 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 6 | 0.6 | 2.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 6 | 0.6 | 2.5 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 6 | 0.6 | 2.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 6 | 0.6 | 2.5 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 6 | 0.6 | 3.0 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 5 | 10 | 100 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 16 | 1.6 | 8.7 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.6 | 4.0 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.6 | 4.0 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.6 | 2.6 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.6 | 2.6 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 0 | 1 | 100 |
| Total Operations Stake (workers + lead) | 0 | 150000 | 100 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 9 | 0.0 | 0.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2240|  2267 | 1.21 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 256 | 447  |  74.61 |
| Size of content (MB)    |  26044.91 |  56522.06 | 117.02 |
| Number of channels      |  93 | 129 | 38.71 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 53 | 53 | 0 |
| Number of threads    | 429 | 440 | 2.56 |
| Number of posts      | 3065 | 3247 | 5.94 |
