# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 882000 - 982799
* Date Range: 6/8/2021 - 6/15/2021
* Council session #: 8

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  790400718 | 828630266 | 4.84 |
| USD Pool |  29506.72 | 29852.69 | 1.17 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 53975900 |
| Spending Proposals (Executed) | 23793787 |
| Bounties paid       | 23793787 |
| Validator Role      | 10311013 |
| Storage Role        | 3753502.76 |
| Curator Role        | 7615084.45 |
| Operations Role     | 923990.83 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 29506.72 | 29852.69 | 1.17 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 500 | recurring-sumer 6 (1/2) | 882000 |
| 250 | recurring-sumer 6 (2/2) | 892154 |
| 1568 | kpi-sumer 7 | 934192 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 163947460  | 191629247 |16.88 |
| Curator Mint Total Minted   | 24614982 | 32110442 | 30.45 |
| Storage Mint Total Minted   | 18666302 | 22479362 | 20.43 |
| Operations Mint Total Minted | 33000 | 957000 | 2800 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 37.25
* End Block Exchange Rate, USD/1M tJOY: 36.03
* Inflation, %: 3.38

Negative value indicates deflation

## 3.0 Council
* Council session #: 8
* Number of council members: 16
* Total number of proposals: 19
* Total number of Approved proposals: 15

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 21 |
| Total Applicant Stake       | 9863488 |
| Total Votes                 | 67 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 198505250 | 221508441 | 11.59 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6 | 6 | 0 |
| Total Storage Stake (workers + lead) | 100000 | 100000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 2 | [@maks_malensek](https://pioneer.joystreamstats.live/#/members/maks_malensek) | active | 11 | 1.1 | 6.1 |
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 5 | 0.5 | 3.0 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 5 | 0.5 | 3.0 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 5 | 0.5 | 3.0 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 5 | 0.5 | 3.0 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 5 | 0.5 | 3.5 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 16 | 1.6 | 10.3 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 4.7 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 4.7 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 3.3 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 3.3 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.6 | 0.6 |
| 13 | [@pascual](https://pioneer.joystreamstats.live/#/members/pascual) | active | 7 | 0.6 | 0.6 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.6 | 0.6 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 7 | 0.6 | 0.6 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.6 | 0.6 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 1 | 1 | 0 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 9 | 0.9 | 1.0 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2267|  2295 | 1.24 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 447 | 677  |  51.45 |
| Size of content (MB)    |  56522.06 |  85185.82 | 50.71 |
| Number of channels      |  129 | 151 | 17.05 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 53 | 55 | 3.77 |
| Number of threads    | 440 | 451 | 2.5 |
| Number of posts      | 3247 | 3347 | 3.08 |
