# Tokenomics + Network Report
This is a report which explains the current state of the Joystream network in numbers. It pulls figures from the chain and tries to provide a basic level of information about the network, tokens and more. 

## 1.0 Basic Information
* Block range: 982800 - 1083599
* Date Range: 6/15/2021 - 6/22/2021
* Council session #: 9

## 2.0 Tokenomics
### 2.1 Token generation breakdown
| Property            | Start Block | End Block | % Change |
|---------------------|--------------|--------------|----------|
| Total Tokens Minted |  828630266 | 866445422 | 4.56 |
| USD Pool |  29833.20 | 30661.58 | 2.78 |

| Property            | Value        |
|---------------------|--------------|
| Total Tokens Burned | 55241581 |
| Spending Proposals (Executed) | 23602198 |
| Bounties paid       | 23602198 |
| Validator Role      | 8148871 |
| Storage Role        | 3837501.93 |
| Curator Role        | 7712803.48 |
| Operations Role     | 923990.83 |

### 2.2 Fiat Pool
| Property            | Start Block, USD | End Block, USD | % Change |
|---------------------|--------------|--------------|----------|
| USD Pool | 29833.20 | 30661.58 | 2.78 |

| Refill, USD | Reason | Block # |
|---------------------|--------------|--------------|
| 375 | bounty15-transcripts | 988372 |
| 750 | recurring-sumer 7 | 1031376 |
| 1653 | kpi-sumer 8 | 1034471 |


### 2.3 Mints
| Property                    | Start Block           | End Block | % Change |
|-----------------------------|-----------------------|--------------|----------|
| Council Mint Total Minted   | 191629247  | 219119445 |14.35 |
| Curator Mint Total Minted   | 32110442 | 39816342 | 24 |
| Storage Mint Total Minted   | 22479362 | 25396902 | 12.98 |
| Operations Mint Total Minted | 957000 | 1881000 | 96.55 |


### 2.4 tJOY Inflation

* Start Block Exchange Rate, USD/1M tJOY: 36.01
* End Block Exchange Rate, USD/1M tJOY: 35.62
* Inflation, %: 1.09

Negative value indicates deflation

## 3.0 Council
* Council session #: 9
* Number of council members: 16
* Total number of proposals: 18
* Total number of Approved proposals: 18

### 3.1 Elections
| Property                    | Start Block  |
|-----------------------------|--------------|
| Total Applicants            | 21 |
| Total Applicant Stake       | 22773999 |
| Total Votes                 | 52 |

## 4 Roles
### 4.1 Validator Information
* Block generation time (average): 6.01

| Property                   | Start Block | End Block | % Change |
|----------------------------|--------------|--------------|----------|
| Number of Validators       | 105 / 105 | 105 / 105 | 0 |
| Validator Total Stake      | 221508441 | 223243849 | 0.78 |


### 4.2 Storage Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Storage Workers | 6 | 7 | 16.67 |
| Total Storage Stake (workers + lead) | 100000 | 450000 | 350 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 3 | [@joystreamstats](https://pioneer.joystreamstats.live/#/members/joystreamstats) | active | 5 | 0.5 | 3.5 |
| 4 | [@julysake](https://pioneer.joystreamstats.live/#/members/julysake) | active | 5 | 0.5 | 3.5 |
| 5 | [@0x2bc](https://pioneer.joystreamstats.live/#/members/0x2bc) | active | 5 | 0.5 | 3.5 |
| 6 | [@kalpakci](https://pioneer.joystreamstats.live/#/members/kalpakci) | active | 5 | 0.5 | 3.6 |
| 8 | [@palacinkar](https://pioneer.joystreamstats.live/#/members/palacinkar) | active | 5 | 0.5 | 4.1 |


### 4.3 Curator Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Curators      | 10 | 10 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 1 | [@igrex](https://pioneer.joystreamstats.live/#/members/igrex) | active | 17 | 1.7 | 12.0 |
| 2 | [@leet_joy](https://pioneer.joystreamstats.live/#/members/leet_joy) | active | 7 | 0.7 | 5.3 |
| 3 | [@meskalin](https://pioneer.joystreamstats.live/#/members/meskalin) | active | 7 | 0.7 | 5.3 |
| 6 | [@prontera](https://pioneer.joystreamstats.live/#/members/prontera) | active | 7 | 0.7 | 3.9 |
| 7 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 7 | 0.7 | 4.0 |
| 12 | [@lyazufey1812](https://pioneer.joystreamstats.live/#/members/lyazufey1812) | active | 7 | 0.7 | 1.3 |
| 13 | [@pascual](https://pioneer.joystreamstats.live/#/members/pascual) | active | 7 | 0.7 | 1.3 |
| 14 | [@maxlevush](https://pioneer.joystreamstats.live/#/members/maxlevush) | active | 7 | 0.7 | 1.3 |
| 15 | [@isonar](https://pioneer.joystreamstats.live/#/members/isonar) | active | 7 | 0.7 | 1.3 |
| 16 | [@kiraa](https://pioneer.joystreamstats.live/#/members/kiraa) | active | 7 | 0.7 | 1.3 |


### 4.4 Operations Role
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of Operations Workers      | 1 | 1 | 0 |
| Total Operations Stake (workers + lead) | 150000 | 150000 | 0 |

| # | Member | Status | tJOY / Block | M tJOY Term | M tJOY total |
|--|--|--|--|--|--|
| 0 | [@l1dev](https://pioneer.joystreamstats.live/#/members/l1dev) | active | 9 | 0.9 | 1.9 |


## 5.0 User Generated Content
### 5.1 Membership Information
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of members | 2295|  2335 | 1.74 |

### 5.2 Media & Uploads
| Property                | Start Block | End Block | % Change |
|-------------------------|--------------|--------------|----------|
| Number of uploads       | 677 | 1277  |  88.63 |
| Size of content (MB)    |  85185.82 |  148184.66 | 73.95 |
| Number of channels      |  151 | 187 | 23.84 |

### 5.3 Forum Activity
| Property          | Start Block | End Block | % Change |
|-------------------|--------------|--------------|----------|
| Number of categories | 55 | 55 | 0 |
| Number of threads    | 451 | 462 | 2.44 |
| Number of posts      | 3347 | 3507 | 4.78 |
