# WG Lead Term Limits

*Based on the KPIs https://blog.joystream.org/sumer-kpis/#10.11*

*Pre-proposal Discussion https://testnet.joystream.org/#/forum/threads/372*

### For current Leads the soft term limit (starting from when this proposal is approved) is 1 month.

The process once 1 month has been reached:
1. The council secretary or deputy will create an `opening` for a new lead position, to see who is interested in doing the role. A proposal will then be created to begin review of applicants 1 week after.
2. Once the review period starts, any user with enough tokens can create a proposal to fire the current lead and/or hire a new lead. Note: the current lead must be fired if a new lead is to be hired.
3. Whatever proposals are made by the community (including by council members), the council can at this point vote on whether to fire the previous lead and hire a new lead, or to keep the previous lead in place.
4. The current lead can also apply for the opening.
5. Whatever the result of the new opening is, a new `opening` proposal will be made 1 month after, repeating the process.

Explanation of the types of proposals:

- `Terminate` - This will fire the current lead if approved. In the current version of Joystream the lead must be fired for a new lead to be hired, but in a future version of Joystream this will not be required and a lead can be hired and it will override whoever the current lead is

- `Add Opening` - This will create an opening that people can apply for. It mentions what the salary is and includes interview questions. It also has a variety of options for minimum stake, maximum number of applicants and some other things.

- `Begin Review` - This will close the opening, and allow the council/community to begin reviewing applicants. No one else will be able to apply after the review has started. You also cannot hire someone until Begin Review has started.

- `Fill Opening` - This proposal type allows the creator to choose an applicant, from an opening that is currently in the Review status and give an explanation of why they should be hired (as mentioned before, the current lead must be fired for this proposal type to work, if it is not empty then the proposal will fail to execute). There can be multiple of this type of proposal and whichever proposal is the first to be approved is the person that will be hired. If another proposal is approved afterwards it will fail to execute.

In the event the current lead is fired, they can stay on as: 
- a guide (to help the newly hired lead on how to manage the position for a week). This will be paid at the previous rate + 50% for one week (via `spending proposal`)
- also as a worker if they apply for an opening. The new lead is encouraged to hire the old lead as a worker if there are enough places, since the old lead will have desirable skills to help with the group.

* In the event of a firing, the exact criteria for the transition period between the old and new lead will be discussed on the forum with the old lead and issued as a text proposal for approval by the council
* In the event of a firing due to the soft term limit, it should not be considered that the lead was bad at the position, this is just a process to try and get a rotation of leads.

### Exceptions
* In the event the current lead is still in mid-process of implementing something important, they can create a text proposal with a description of what they're working on to allow for a one-time 2 week extension to their term before the `opening` proposal is created by the council secretary or deputy council secretary.
