## Joystream

Joystream (http://joystream.org/) is a video platform DAO (decentralized autonomous organization). The project is currently running in an incentivized testnet phase. So users participating on the testnet can redeem their tokens for Bitcoin Cash (https://www.joystream.org/testnet)

## What is Joystream? Why is it unique?

Unlike many other projects, Joystream has a large emphasis on being fully decentralized. As such a very significant amount of activity actually occurs on-chain and is not reliant on 3rd party platforms.

We are quite a unique project as far as DAOs go and I would even venture to say we may be one of the most sophisticated DAOs being developed--our governance system has numerous proposal types and we operate "working groups" (https://testnet.joystream.org/#/working-groups) that are hired by our council and paid regularly on-chain.
We also have an on-chain forum (https://testnet.joystream.org/#/forum). All of the videos on the
platform (https://play.joystream.org/) are hosted by workers that run storage nodes and are paid automatically every 6 hours--we don't have a fixed issuance like a lot of other projects, but rather a collection of proposals that can be used to adjust rewards and other factors that control the issuance.

Our DAO currently employs about 40 "workers". All of the rewards for roles are decided by the council, who are elected once per week. The elections, proposals and working groups all work on-chain. This means that rather than rely on a 3rd party website for decision making, all decisions can be done internally on the platform itself. Rather than having a single treasury to spend from, like many projects have, we have several treasuries (called mints) that the council controls through proposals.

Workers are required to put up some stake as a deposit in order to be hired for positions. This allows the council to hold workers accountable.

There is a spreadsheet called the "council leaderboard" that might show you on a much more detailed level how interesting the project is. Almost all of the information gathered is using on-chain data:
https://docs.google.com/spreadsheets/d/1l_aFoN2GxFpxi7pZS3rUh9wCsVHUi8um4YYiNRWMBW8/edit?usp=sharing

Joystreamstats.live is a website that tracks a significant amount of activity and details of the platform ()

## Scale & Activity

To give an idea of the scale and activity of the project, here are some statistics:
* The council has processed more than 800 proposals over the past year, 600 of them have been just over the past 5 months. Most proposals pass within 24 hours.
* We have almost 3000 memberships (these are on-chain memberships)
* Our on-chain forum has more than 5000 posts
* We currently host 6000+ videos on the platform. These are hosted by our Storage Working Group who are paid every 6 hours for running servers.
* The testnet currently has more than 11,000 pices of User Generated Content (all of it is on-chain)
* The community manages some of their own bounties covering a wide range of activities (including uploading videos, and developing tools)
* Our elections are currently valued at $6-7000 per week (the elections use stake, which is a temporary deposit of tokens that are returned once the election finishes)
* We have an English language community as well as a significant sized Russian community.
* The community manages its own GitHub repo, called the community-repo (https://github.com/Joystream/community-repo)
* We have an Operations working group that develops 3rd party tools for the platform. One of the unique projects they have developed is Joystreamstats (https://joystreamstats.live/election). This was fully created from idea, to delivery by the community.
* Pioneer (the website used for voting, elections, proposals and the forum) is currently being redesigned from the ground up: https://github.com/Joystream/pioneer
* There are multiple features that are in active development, including vNFTs (video NFTs), a bounty module and much more (https://github.com/Joystream/joystream)


## Contributing

Joystream has a Founding Members program, that rewards the most valuable contributors with mainnet tokens. You can read more about it here: https://www.joystream.org/founding-members

Every 2 weeks, users submit a summary of their contributions to the project, these are then graded and users are given points. Unlike other projects that reward users for very simple tasks such as running a node, the Founding Members program primarily rewards those who contribute actively to the governance system, running working groups and other roles on the platform.

## KPIs & Bounties

The company developing Joystream is Jsgenesis (https://www.jsgenesis.com/). They provide a list of KPIs each week for the council to achieve. Active council members can make upwards of $5-700 in a single week by participating. The most recent KPI rewards total over $6000. The council has recently been given the opportunity to influence the KPIs and introduce new ones.
They also issue bounties which are paid in testnet tokens.

## You

If you are interested in a highly active DAO which still has a small community size, then please consider checking the project out. While we are very active, there is still plenty of space for new users to join. And due to the nature of the project, it is possible to introduce new ideas fairly quickly! This makes it a really interesting environment to be a part of.

## Links

Project Website: https://www.joystream.org/
Project Manifesto: https://www.joystream.org/manifesto
Project Roles: https://www.joystream.org/roles
Project GitHub Repository: https://github.com/Joystream/joystream

Atlas (used for viewing videos): https://play.joystream.org/
Pioneer (used for governance): https://testnet.joystream.org/

Founding Members program: https://www.joystream.org/founding-members/

Council Leaderboard: https://docs.google.com/spreadsheets/d/1l_aFoN2GxFpxi7pZS3rUh9wCsVHUi8um4YYiNRWMBW8/edit?usp=sharing
Joystreamstats: https://joystreamstats.live/

Joystream Discord server: https://discord.gg/DE9UN3YpRP
Joystream Russian Telegram: https://t.me/JoystreamRussian
Joystream English Telegram: https://t.me/JoyStreamOfficial