## The Future and Beyond

#### Introduction
This document serves as a collection of ideas, features and other things that might be worth investigating when we are on mainnet. Most of the descriptions are devoid of specific details as these are just ideas for now. Most of these ideas would probably be infeasible to explore while we are still a testnet.

#### Joystream now
Joystream is currently in the testnet phase, but one day we will become an independent entity (a real DAO). Jsgenesis, the company developing Joystream will one day close down and this is best shown by the illustration on their website (https://www.jsgenesis.com/), we will eventually be the free floating baloon. There are dozens of features that are in the pipeline that will make this a very interesting and dynamic DAO. The [Council Leaderboard](https://docs.google.com/spreadsheets/d/1l_aFoN2GxFpxi7pZS3rUh9wCsVHUi8um4YYiNRWMBW8/edit?usp=sharing) shows a demonstration of the massive amounts of data already generated by our unique governance system.

#### Operations & Partnerships
At the moment it appears that we will not just have 1 `operations` working group, but instead [3 of them](https://github.com/Joystream/joystream/issues/2595). Having 3 operations groups gives us a massive amount of flexibility when it comes to not only research & development but also to creating charitable, commercial and creative partnerships with other DAOs. If the DAO agrees, we could possibly assign one of the `operations` groups to be used exclusively for partnerships (charitable, commercial and creative).

##### Charitable Partnerships
 Charitable partnerships would be the DAO agreeing via governance to "employ" a charity which is then given tokens regularly. The amount of tokens would have to be agreed on within our budgets, but it seems reasonable that if we become a very large DAO there is no good reason to not give some percentage of issuance to charities. 

##### Commercial Partnerships
Commercial partnerships would be the DAO agreeing via governance to "employ" another DAO or blockchain project which is then given tokens regularly. These payments might have preconditions (such as paying for another DAO to exclusively use our video platform) or much more different preconditions. These are business partnerships and there would need to be some "give and take" to make them viable.
This might also include hiring experts (contract experts, or auditors) if we decide to fund film projects.

##### Creative Partnerships
Creative partnerships would be the DAO agreeing via governance to "employ" another DAO, or more likely individual for some period of time with a regular salary. Some examples might include:
* Paying content creators to exclusively use our platform (basically guaranteeing they will make some amount of money regardless of the success of their videos)
* Paying creative people if it is decided they are valuable to our platform (this is very wide in scope).
* Paying people to create creative work for the platform (such as making community update videos)
* Paying people to create projects (such as maybe funding an open-source video editor)

